### Property

# Gio ZlibDecompressor:file-info

since: 2.26

#### Declaration

    property file-info: Gio.FileInfo [ read ]

#### Description [src]

A `GFileInfo` containing the information found in the gzip header of the data stream processed.

This will be `NULL` if the header was not yet fully processed, is not present at all, or the compressor’s `GZlibDecompressor:format` property is not `G_ZLIB_COMPRESSOR_FORMAT_GZIP`.

Type:`GFileInfo`

Available since: 2.26

Getter method | `g_zlib_decompressor_get_file_info()`

#### Flags

Readable | yes
Writable | no
Construct | no
Construct only | no